<template>
  <div class="app-container">
    <div class="search_form">
      <div>
        <span class="search_title">供应商名称/合同号：</span>
        <el-input
            v-model="searchForm.supplierNameOrContractNo"
            style="width: 240px"
            placeholder="输入供应商名称/合同号搜索"
            @change="handleQuery"
            clearable
            :prefix-icon="Search"
        />
        <el-button type="primary" @click="handleQuery" style="margin-left: 10px">搜索</el-button>
      </div>
    </div>
    <div class="table_list">
      <PIMTable :column="tableColumn" :tableData="tableData" :page="page"
                :tableLoading="tableLoading" @pagination="pagination" :total="total"></PIMTable>
    </div>
  </div>
</template>

<script setup>
import { ref } from 'vue'
import {Search} from "@element-plus/icons-vue";
import {
  registrationList,
} from "@/api/procurementManagement/paymentEntry.js";
const tableColumn = ref([
  {
    label: '付款日期',
    prop: 'paymentDate',
  },
  {
    label: '供应商名称',
    prop: 'supplierName',
  },
  {
    label: '付款金额',
    prop: 'currentPaymentAmount',
  },
  {
    label: '登记人',
    prop: 'registrant'
  },
  {
    label: '登记日期',
    prop: 'registrationtDate'
  },
])
const tableData = ref([])
const tableLoading = ref(false)
const purchaseLedgerList = ref([])
const invoiceNumberList = ref([])
const page = reactive({
  current: 1,
  size: 10,
})
const total = ref(0)

// 用户信息表单弹框数据
const operationType = ref('')
const dialogFormVisible = ref(false)
const data = reactive({
  searchForm: {
    supplierNameOrContractNo: '',
  },
})
const { searchForm, form, rules } = toRefs(data)

// 查询列表
/** 搜索按钮操作 */
const handleQuery = () => {
  page.current = 1
  getList()
}
const pagination = ({ current, limit }) => {
  page.current = current;
  page.size = limit;
  getList()
}
const getList = () => {
  tableLoading.value = true
  registrationList({...searchForm.value, ...page}).then(res => {
    tableLoading.value = false
    tableData.value = res.rows
    total.value = res.total
  })
}
getList()
</script>

<style scoped lang="scss">

</style>
